<?php

if(!isset($id)) $id = '';
if(!isset($label)) $label = '';
if(!isset($class_chain)) $class_chain = '';
if(!isset($name)) $name = '';
if(!isset($error)) $error = '';
if(!isset($value)) $value = '';
if(!isset($repeatable)) $repeatable = '';
$labels = Utils_Labels::get();
global $dataindex;
$dataindex++;
$class ='data_'.$dataindex;

list($group, $vname) = explode('-', $id);
$postedFileNotFound = false;
if(isset($_FILES[$group]['error'][$vname]) && $_FILES[$group]['error'][$vname] == 4) {
    $postedFileNotFound = true;
}
?>
<div class='<?php echo $class; ?>'>
<label for="<?php echo $id; ?>"><?php echo $label; ?></label>

<?php 
    $_value = '';
    $type ='';
    if($value == '' )
    {
        $exploded = explode('-', $id);
        $type = $exploded[1];
        $section = $exploded[0];
        $on_disk_name = "{$type}_on_disk";

        if(isset($_SESSION['kept'][$type.'_on_disk'])) {
            $_value = $_SESSION['kept'][$type.'_on_disk'];
            $value = $_SESSION['kept'][$type.'_to_display'];
        }
        
        
    }
    
    if($postedFileNotFound) {
        unset($_SESSION['kept'][$type.'_on_disk']);
        unset($_SESSION['kept'][$type.'_to_display']);
    }
    
    if($_value && !$postedFileNotFound): 
?>
<input name="<?php echo $on_disk_name; ?>" value="<?php echo $_value; ?>" type="hidden" class="<?php echo $id; ?>_on_disk"/>
<input readonly disabled class="<?php echo $class_chain; ?> <?php echo $id; ?>_to_display" type="text" id="<?php echo $id; ?>" data-index="0" name="<?php echo $name; ?>" value="<?php echo $value; ?>" class="<?php echo $id; ?> to_display" />    
<a href="#" id="<?php echo $id; ?>_change"><?php echo $labels['CxWpPlugin.message.selectanotherfile'] ;?></a>

<?php else: ?>
<input <?php if(@$disabled) echo 'disabled'; ?> class="<?php echo $id; ?> <?php echo $class_chain; ?>" type="file" id="<?php echo $id; ?>" data-index="0" name="<?php echo $name; ?>" value="<?php echo $value; ?>" />
<?php endif; ?>

<span>
    <?php 
    $message= '';
    switch($id): 

        case 'personal-cv':
        case 'personal-coverLetter':
            $message = $labels['CxPortal.message.info.allowedTypes'];
            break;
        case 'personal-photo':
            $message = $labels['CxPortal.message.info.allowedImageTypes'];
            break;
    endswitch; 
    echo $message; ?>
    <b> <?php echo ( Environment_Installation::get_max_file_upload() <= 8 ) ? Environment_Installation::get_max_file_upload() : 8; ?>M </b>
</span>

<?php 
if(strlen(trim($error))>0): 
	echo "<div class='error'>$error</div>";
endif;
?>
</div>
<?php
$disabled = $disabled ? 'disabled' : '';
if($repeatable && !$disabled):
    echo '<a data-index="'.$dataindex.'" href="#" data-repeats="'.$id.'" class="repeat '.$id.' '.$class.'"><i class="fa fa-plus"></i> '.$labels['general.button.add'].'</a>';
$style = 'display: none;';
if($value) $style = '';
echo '<a data-index="'.$dataindex.'" href="#" data-remove="'.$id.'" class="derepeat '.$id.' '.$class.'" style="'.$style.'"><i class="fa fa-minus"></i> '.$labels['general.button.remove'].'</a>';
endif;
?>
<script type="text/javascript">
    carerix_jQuery(document).ready(function(){
        var $ = carerix_jQuery;
       $('#<?php echo $id; ?>_change').click(function(e){
            e.preventDefault();
            
            var the_id = '<?php echo $id; ?>';
            var the_id_temp = '<?php echo $id.'_temp'; ?>';
            var file_input = $('<input class="<?php echo $class_chain; ?>" type="file" id="'+the_id_temp+'" data-index="0" name="<?php echo $name; ?>" value="<?php echo $value; ?>" />') ;

            var $parent = $('.'+the_id+'_to_display');
            $parent.replaceWith(file_input);
            
            $('#'+the_id).remove();
            $('.'+the_id+'_to_display').remove();
            $('.'+the_id+'_on_disk').remove();
            $('#'+the_id+'_change').remove();
            $('#'+the_id_temp).attr('id',the_id);
            $(file_input).click();
            return false;
       });
       
    });
</script>